Bug 213200 - kudzu does not detect VAPs used in the madwifi subsystem
kudzu does not detect VAPs used in the madwifi subsystem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 00:53 EST by Richi Plana
Modified: 2014-03-16 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richi Plana 2006-10-31 00:53:08 EST
Description of problem:
The madwifi Atheros driver creates a physical interface port (wifi0) and one or
more Virtual Access Points (VAPs) that are the virtual devices that need to be
configured. kudzu only detects the physical port and so, first, does not detect
that the interface actually possesses wireless extensions, and second, does not
detect the actual interface that is configurable (via iwconfig and ifconfig).

I tested madwifi drivers from both the livna repository as well as the ATrpms
one. I understand freshrpms also has madwifi packages.

I am not certain which subsystem should change or even if a workaround should
just be used. Is there a way to tell kudzu about these virtual devices?
Comment 1 Bill Nottingham 2006-10-31 10:37:05 EST
kudzu is deprecated in any case - apps that need to enumerate network devices
should be using HAL.
Comment 2 Richi Plana 2006-10-31 11:25:50 EST
So what's the right solution for getting VAPs recognized why system-config-network?

As a side note, I did manage to track down another bug
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=187640) which mentions the
problem might be elsewhere. In that bug (possibly erroneously labeled a
system-config-network bug instead of a module-init-tools one), aliases aren't
recognized in module configurations located in /etc/modprobe.d/*. Adding a
"alias ath0 ath_pci" magically makes system-config-network aware of the device.

Is system-config-network using HAL, then? Will it be transitioned? Will it be
deprecated for NetworkManager?

Please re-prioritize this bug if it doesn't need fixing or tracking.
Comment 3 Bill Nottingham 2006-10-31 11:29:28 EST
s-c-network uses kudzu ATM. It does need to be ported eventually.

Which devices are the configurable ones?
Comment 4 Richi Plana 2006-10-31 12:04:48 EST
By convention, the ath* virtual devices are the configurable ones (with proper
wireless extensions). They're somewhat detected when an alias (such as "alias
ath0 ath_pci") is placed in /etc/modprobe.conf (but not in
/etc/modprobe.d/madwifi). I say somewhat because the "Description" for the
interface in s-c-network is just "ath_pci" instead of the proper "Atheros
Communciations..." as shown in the physical wifi0 device.
Comment 5 Bug Zapper 2008-04-04 00:17:52 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:38:20 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.